Subject: Re: [PATCH 2/2] index-pack: handle duplicate base objects gracefully

From: René Scharfe <[email-masked]>
Date: Sun, 31 Aug 2014 18:30:39 +0200

Am 31.08.2014 um 17:17 schrieb Jeff King:
> On Sat, Aug 30, 2014 at 06:00:59PM +0200, René Scharfe wrote:
>
>> My only nit with patch 2: Petr Stodulka <[email-masked]> and Martin von
>> Gagern <[email-masked]> should be mentioned as bug reporters.
>
> Yeah, I agree with that. And actually, you should get a Reported-by:
> on the first patch. :)
>
> However, I think there are some grave implications of this series; see
> the message I just posted elsewhere in the thread. I think we will end
> up dropping patch 2, but keep patch 1.

OK, but it would still be a good idea to replace the assert()s with 
die()s and error messages that tell users that the repo is broken, not git.

René